# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without repolib

%define repodir %{_javadir}/repository.jboss.com/woodstox/%{version}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define stax2_version 2.1

Name:           wstx
Version:        3.2.9
Release:        1.5%{?dist}
Epoch:          0
Summary:        Woodstox Stax Implementation
License:        ASL 2.0
Group:          Development/Libraries/Java
URL:            http://woodstox.codehaus.org/
Source0:        http://woodstox.codehaus.org/3.2.9/wstx-src-3.2.9.tar.gz
Source1:        wstx-component-info.xml
#http://repository.jboss.org/maven2-brew/org/codehaus/woodstox/wstx/3.2.9/wstx-3.2.9.pom
Source2:	wstx.pom
Source3:	wstx-upload.sh
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-nodeps
BuildRequires:  ant-apache-bcel
BuildRequires:  ant-junit
BuildRequires:  ant-trax
BuildRequires:  codehaus-stax11-api
BuildRequires:  emma
BuildRequires:  maven-deploy-plugin
BuildRequires:  msv-msv
BuildRequires:  msv-xsdlib
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Woodstox is a high-performance validating namespace-aware 
StAX-compliant (JSR-173) Open Source XML-processor written 
in Java.

XML processor means that it handles both input (== parsing) 
and output (== writing, serialization)), as well as 
supporting tasks such as validation.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -c -n %{name}

sed -i 's|<import file="build-maven-deploy.xml" />||g' build.xml

find -type f -name '*.?ar' | xargs -t %{__rm}

pushd release-notes
mv CREDITS CREDITS.orig
mv VERSION VERSION.orig
%{_bindir}/iconv -f iso-8859-1 -t utf8 -o CREDITS CREDITS.orig
%{_bindir}/iconv -f iso-8859-1 -t utf8 -o VERSION VERSION.orig
rm CREDITS.orig
rm VERSION.orig
popd

pushd lib
ln -s $(build-classpath emma) .
ln -s $(build-classpath emma_ant) .
ln -s $(build-classpath codehaus-stax11-api) stax-api-1.0.jar
pushd msv
ln -s $(build-classpath msv-msv) msv.jar
ln -s $(build-classpath msv-xsdlib) xsdlib.jar
ln -s $(build-classpath relaxngDatatype) .
popd
popd

%build
%{ant} dist

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -p -m 644 dist/stax2-%{stax2_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/stax2-%{version}.jar
install -p -m 644 dist/%{name}-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-api-%{version}.jar
install -p -m 644 dist/%{name}-asl-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-asl-%{version}.jar
install -p -m 644 dist/%{name}-lgpl-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-lgpl-%{version}.jar
install -p -m 644 ./dist/msv/xsdlib.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xsdlib.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)


%post
%update_maven_depmap 

%postun
%update_maven_depmap

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/%{name}
%{_javadir}*/%{name}/stax2-%{version}.jar
%{_javadir}*/%{name}/stax2.jar
%{_javadir}*/%{name}/%{name}-api-%{version}.jar
%{_javadir}*/%{name}/%{name}-api.jar
%{_javadir}*/%{name}/%{name}-asl-%{version}.jar
%{_javadir}*/%{name}/%{name}-asl.jar
%{_javadir}*/%{name}/%{name}-lgpl-%{version}.jar
%{_javadir}*/%{name}/%{name}-lgpl.jar
%{_javadir}/%{name}/xsdlib.jar

%changelog
* Wed Feb 9 2011 Yiqiao Wang <yiwang@redhat.com> 0:3.2.9-1.5
- Add %%update_maven_depmap in %%post and %%postun

* Fri Jan 21 2011 Permaine Cheung <pcheung@redhat.com> 0:3.2.9-1.4
- Rebuild

* Thu Nov 25 2010 Yiqiao Wang <yiwang@redhat.com> 0:3.2.9-1.3
- Build with Maven 2.2.1
- Add upload.sh and wstx.pom to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR mavne-deploy-plugin

* Thu Jun 17 2010 Permaine Cheung <pcheung@redhat.com> 0:3.2.9-1.2
- Do not symlink javadoc

* Mon Jun 7 2010 Yiqiao Wang <yiwang@redhat.com> 0:3.2.9-1.1
- rebuild

* Mon May 17 2010 Fernando Nasser <fnasser@redhat.com> 0:3.2.9-1
- Upgrade to 3.2.9

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:3.2.8-1.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:3.2.8-1.2
- Rebuild

* Tue Feb 16 2010 Yiqiao Wang <yiwang@redhat.com> 0:3.2.8-1.1.1
- Merge from RHEL-4-EP-5 

* Mon Feb 08 2010 David Walluck <dwalluck@redhat.com> 0:3.2.8-1.1
- use codehaus-stax11-api instead of bea-stax
- install included poms
- install poms to repolib
- fix directory name

* Mon Aug 11 2009 Yong Yang <yyang@redhat.com> 0:3.2.8-1
- 3.2.8

* Mon Jan 12 2009 David Walluck <dwalluck@redhat.com> 0:3.2.6-2
- use install -p
- fix repolib

* Fri Jan 09 2009 David Walluck <dwalluck@redhat.com> 0:3.2.6-1
- 3.2.6

* Tue Jul 29 2008 David Walluck <dwalluck@redhat.com> 0:3.1.1-3
- fix maven frag attributes
- fix repolib permissions

* Wed May 28 2008 David Walluck <dwalluck@redhat.com> 0:3.1.1-2.jpp5
- own %%{_javadir}/%%{name}
- merge in maven2 changes from 3.2.1-1jpp
- fix License
- fix javadoc location
- BuildRequires: ant-trax

* Tue Mar 13 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:3.1.1-1jpp.ep1.2
- Fix repolib location

* Tue Mar 13 2007 Fernando Nasser <fnasser@redhat.com> 0:3.1.1-1jpp.ep1.1
- Rebuild

* Mon Feb 26 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:3.1.1-1jpp.el4ep1.2
- Add -brew suffix

* Mon Feb 26 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:3.1.1-1jpp.el4ep1.1
- First build for EP branch
- Add repolib support

* Mon Feb 26 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:3.1.1-1jpp
- Upgrade to 3.1.1
- Fix javadoc handling to remove ghost + linking magic

* Fri May 05 2006 Ralph Apel <r.apel@r-apel.de> 0:2.9.3-1jpp
- First build
